Bug 436585 - X crashes and locks up on startup with i810 driver; F8 X works
X crashes and locks up on startup with i810 driver; F8 X works
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
9
i386 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-07 21:50 EST by Steven Usdansky
Modified: 2009-07-14 13:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:34:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf, Xorg.0.logs for working system and updated (crashing) system (13.34 KB, application/x-bzip)
2008-03-07 21:50 EST, Steven Usdansky
no flags Details
xorg.conf from the attachment 297265 (1.64 KB, text/plain)
2008-03-08 04:01 EST, Matěj Cepl
no flags Details
Xorg.0.log.crashed from the attachment 297265 (21.69 KB, text/plain)
2008-03-08 04:01 EST, Matěj Cepl
no flags Details
Xorg.0.log.good from the attachment 297265 (89.07 KB, text/plain)
2008-03-08 04:01 EST, Matěj Cepl
no flags Details
failed startx (22.66 KB, application/octet-stream)
2008-03-14 15:41 EDT, Steven Usdansky
no flags Details

  None (edit)
Description Steven Usdansky 2008-03-07 21:50:44 EST
Description of problem:
X crashes and locks up upon startup with current Rawhide when using i810 driver. 

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.4.99.900-0.28.20080304.fc9
xorg-x11-server-common-1.4.99.900-0.28.20080304.fc9
xorg-x11-drv-i810-2.2.1-9.fc9
xorg-x11-drv-keyboard-1.2.2-4.fc9
xorg-x11-drv-mouse-1.2.3-4.fc9

How reproducible:
100%

Steps to Reproduce:
1. boot in runlevel 3
2. type startx

  
Actual results:
system locks up with gray vertical stripes on screen. Alt-Fn does nothing.
Ctl-alt-del reboots

Expected results:
starts with the DE of my choice displaying a nice image from the Western US

Additional info:
System works with the following:
xorg-x11-server-Xorg-1.3.0.0-420.fc8.i386.rpm
xorg-x11-drv-i810-2.1.1-7.fc8.i386.rpm
xorg-x11-drv-keyboard-1.2.2-2.fc8.i386.rpm
xorg-x11-drv-mouse-1.2.3-2.fc9.i386.rpm

attachment contains xorg.conf, Xorg.0.logs for working system and updated
(crashing) system
Comment 1 Steven Usdansky 2008-03-07 21:50:44 EST
Created attachment 297265 [details]
xorg.conf, Xorg.0.logs for working system and updated (crashing) system
Comment 2 Matěj Cepl 2008-03-08 04:01:29 EST
Created attachment 297285 [details]
xorg.conf from the attachment 297265 [details]
Comment 3 Matěj Cepl 2008-03-08 04:01:33 EST
Created attachment 297286 [details]
Xorg.0.log.crashed from the attachment 297265 [details]
Comment 4 Matěj Cepl 2008-03-08 04:01:40 EST
Created attachment 297287 [details]
Xorg.0.log.good from the attachment 297265 [details]
Comment 5 Michael Young 2008-03-10 10:24:19 EDT
I am seeing very similar symptoms, though in my case it fails most of the time
but has worked on occasions. The same machine running Fedora 7 works reliably.
Comment 6 Steven Usdansky 2008-03-10 13:11:26 EDT
Added notes: after getting X to work using the fbdev driver, I am sometimes able
to get X to work using the intel driver (I run Xorg -configure to get a new
xorg.conf file). 
Comment 7 Steven Usdansky 2008-03-14 08:22:22 EDT
1. Updated to today's Rawhide:
xorg-x11-server-Xorg-1.4.99.901-8.20080310.fc9.i386
xorg-x11-drv-i810-2.2.1-12.fc9.i386

2. Rebooted system

3. Got rid of /etc/X11/xorg.conf and ran system-config-display which gave me the
following (after selecting generic LCD 1680x1050) replacement:
# Xorg configuration created by system-config-display

Section "ServerLayout"
	Identifier     "single head configuration"
	Screen      0  "Screen0" 0 0
EndSection

Section "Monitor"
	Identifier   "Monitor0"
	ModelName    "LCD Panel 1680x1050"
	HorizSync    31.5 - 65.5
	VertRefresh  56.0 - 65.0
	Option	    "dpms"
EndSection

Section "Device"
	Identifier  "Videocard0"
	Driver      "intel"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Videocard0"
	Monitor    "Monitor0"
	DefaultDepth     24
	SubSection "Display"
		Viewport   0 0
		Depth     24
	EndSubSection
EndSection

4. Ran startx. Lo and behold, the system comes up with a 1680x1050 screen, sound
works, but Print and Ctrl-Print do not work 
Comment 8 Ray Todd Stevens 2008-03-14 10:50:04 EDT
I have a similar problem on a different bug because of different symptoms.  I
found that I needed to do a power reboot after the update to the driver before
doing the startx thing.
Comment 9 Michael Young 2008-03-14 10:52:12 EDT
It is still broken for me - I can't get 1280x1024 though some resolutions do
work, eg. 1024x768 and 800x600. Curiously, I can get 1280x1024 by having a
resolution that works in /etc/X11/xorg.conf, then using the gnome tools to set
it to 1280x1024.
Comment 10 Michael Young 2008-03-14 13:14:48 EDT
Actually, 1024x768 also fails occasionally.
Comment 11 Steven Usdansky 2008-03-14 15:41:00 EDT
Created attachment 298075 [details]
failed startx
Comment 12 Steven Usdansky 2008-03-19 14:55:18 EDT
With the following addition to the "Device" section of xorg.conf, the current
Rawhide Xorg server and i810 driver have worked for me every single time (i.e.,
both times) I've rebooted.

Option     "NoAccel"              "True"
Comment 13 Michael Young 2008-03-19 15:26:22 EDT
Actually, xorg-x11-drv-i810-2.2.1-14.fc9 from koji seems a lot more stable so
far at resolutions that I previously had problems with.
Comment 14 Bug Zapper 2008-05-14 01:52:14 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2009-06-09 19:42:56 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2009-07-14 13:34:16 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.